Disco::Identity Class Reference

`#include <disco.h>`

## Public Member Functions

| Identity (const std::string &category, const std::string &type, const std::string &name)
| Identity (const Identity &id)
| ~Identity ()
const std::string & | category () const
const std::string & | type () const
const std::string & | name () const
Tag * | tag () const

## Detailed Description

An abstraction of a Disco identity (Service Discovery, XEP-0030).

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 196 of file disco.h.

## Constructor & Destructor Documentation

## Identity() [1/2]

Identity | ( | const std::string & | category,
|  | const std::string & | type,
|  | const std::string & | name )

Constructs a Disco Identity from a category, type and name. See http://www.xmpp.org/registrar/disco-categories.html for more info.

Parameters

  category | The identity's category.
  type | The identity's type.
  name | The identity's name.

Definition at line 28 of file disco.cpp.

## Identity() [2/2]

Identity | ( | const Identity & | id | ) |

Copy Contructor.

Parameters

  id | An Identity to create a new Identity object from.

Definition at line 45 of file disco.cpp.

## ~Identity()

~Identity | ( |  | ) |

Destructor.

Definition at line 50 of file disco.cpp.

## Member Function Documentation

## category()

const std::string & category | ( |  | ) | const

inline

Returns the identity's category.

Returns
  The identity's category.

Definition at line 228 of file disco.h.

## name()

const std::string & name | ( |  | ) | const

inline

Returns the identity's name.

Returns
  The identity's name.

Definition at line 240 of file disco.h.

## tag()

Tag * tag | ( |  | ) | const

Creates and returns a Tag representation of this identity.

Returns
  A Tag, or 0.

Definition at line 54 of file disco.cpp.

## type()

const std::string & type | ( |  | ) | const

inline

Returns the identity's type.

Returns
  The identity's type.

Definition at line 234 of file disco.h.

The documentation for this class was generated from the following files:

- disco.h
- disco.cpp